cmake_minimum_required(VERSION 3.21)
project(mgrid_2)

set(CMAKE_CXX_STANDARD 17)
add_compile_options(-fopenmp)
add_link_options(-fopenmp)

#Can manually add the sources using the set command as follows:
#set(SOURCES src/mainapp.cpp src/Student.cpp)

#However, the file(GLOB...) allows for wildcard additions:
file(GLOB SOURCES "*.cpp")
add_executable(mgrid_2  ${SOURCES})
